/* checkbox */
label.checkbox input {
    position: absolute;
    left: -9999px;
}

label.checkbox .text {
    font: 12px/14px sans-serif;
    color: #666;
    position: relative;
    top: -3px;
    padding-left: 10px;
}

label.checkbox .checkbox {
    display: inline-block;
    width: 36px;
    height: 14px;
    border-radius: 14px;
    background: rgba(0, 0, 0, .26);
    position: relative;
    transition: 300ms background;
}

label.checkbox .checkbox span {
    width: 20px;
    height: 20px;
    position: absolute;
    top: -3px;
    left: 0;
    background: #fff;
    box-shadow: 0 1px 5px 0 rgba(0, 0, 0, .4);
    border-radius: 50%;
    transition: 300ms left, background;
}

label.checkbox input:checked + .checkbox {
    background: #83b1f4;
}

label.checkbox input:checked + .checkbox span {
    background: #4285f4;
    left: 16px;
}

label.checkbox input:checked + .checkbox + .text {
    color: #4285f4;
}

/* radio */
label.radio {
    margin-right: 15px;
}

label.radio input {
    position: absolute;
    left: -9999px;
}

label.radio .radio {
    display: inline-block;
    width: 14px;
    height: 14px;
    border-radius: 50%;
    background: #fff;
    border: 1px solid #ddd;
    position: relative;
}

label.radio .radio:before {
    content: '';
    width: 10px;
    height: 10px;
    background: #eee;
    border-radius: 50%;
    position: absolute;
    top: 2px;
    left: 2px;
    transition: 300ms background;
}

label.radio .text {
    font: 12px/14px sans-serif;
    color: #666;
    position: relative;
    top: -3px;
    padding-left: 5px;
}

label.radio input:checked + .radio:before {
    background: #4285f4;
}

/* selectbox */
select.selectbox {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 215px;
    height: 32px;
    border: 2px solid #d3d3d3;
    border-radius: 6px;
    line-height: 22px;
    padding: 0 13px;
    background: #f8f8f8 url(arrow-down.png) no-repeat right;
    cursor: pointer;
    transition: 300ms border-color;
}

select.selectbox:hover {
    border-color: #939393;
}

select.selectbox:focus {
    outline: 0;
}

/* file */
label.file input {
    position: absolute;
    left: -9999px;
}

label.file input + .file {
    display: inline-block;
    width: auto;
    padding: 0 20px;
    height: 35px;
    font: 14px/35px sans-serif;
    background: #f1c40f;
    border-radius: 35px;
    color: #fff;
    cursor: pointer;
}

/* Eğer dosya seçilmiş ise css uygula (bunun için elemana reuired eklenmesi gerekir) */
label.file input:valid + .file {
    background: #f1c40f url(check.png) no-repeat;
    background-size: 20px 14px;
    background-position: 94%;
    padding-right: 35px;
}

label.file .file:hover {
    background-color: #f39c12;
}